#announce module installation
tellraw @a[gamemode=creative] ["",{"text":"[GM4]: Installing Better Armour Stands..."}]
execute unless entity @p run say GM4: Installing Better Armour Stands...

#declare and initialise scoreboards and settings
scoreboard players set update_happened gm4_up_check 1
scoreboard players set better_armour_stands gm4_modules 1
scoreboard players set better_armour_stands gm4_clock_tick 0

#announce success
tellraw @a[gamemode=creative] ["",{"text":"[GM4]: Better Armour Stands Installed!"}]
execute unless entity @p run say GM4: Better Armour Stands Installed!

#check other modules to make sure they're up to date.
execute if score bat_grenades gm4_modules matches ..2 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Bat Grenades\"",Tags:["gm4_update_message"],Duration:2000}
execute if score better_armour_stands gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Better Armour Stands\"",Tags:["gm4_update_message"],Duration:2000}
execute if score better_fire gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Better Fire\"",Tags:["gm4_update_message"],Duration:2000}
execute if score block_compressors gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Block Compressors\"",Tags:["gm4_update_message"],Duration:2000}
execute if score boots_of_ostara gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Boots Of Ostara\"",Tags:["gm4_update_message"],Duration:2000}
execute if score custom_crafters gm4_modules matches ..3 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Custom Crafters\"",Tags:["gm4_update_message"],Duration:2000}
execute if score desire_lines gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Desire Lines\"",Tags:["gm4_update_message"],Duration:2000}
execute if score enchantment_extractors gm4_modules matches ..1 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Enchantment Extractors\"",Tags:["gm4_update_message"],Duration:2000}
execute if score ender_hoppers gm4_modules matches ..1 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Ender Hoppers\"",Tags:["gm4_update_message"],Duration:2000}
execute if score enderman_support_class gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Enderman Support Class\"",Tags:["gm4_update_message"],Duration:2000}
execute if score heart_canisters gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Heart Canisters\"",Tags:["gm4_update_message"],Duration:2000}
execute if score ink_spitting_squid gm4_modules matches ..1 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Ink Spitting Squid\"",Tags:["gm4_update_message"],Duration:2000}
execute if score lightning_rods gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Lightning Rods\"",Tags:["gm4_update_message"],Duration:2000}
execute if score master_crafting gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Master Crafting\"",Tags:["gm4_update_message"],Duration:2000}
execute if score particles_pack gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Particles Pack\"",Tags:["gm4_update_message"],Duration:2000}
execute if score poses_pack gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Poses Pack\"",Tags:["gm4_update_message"],Duration:2000}
execute if score potion_swords gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Potion Swords\"",Tags:["gm4_update_message"],Duration:2000}
execute if score record_crafting gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Record Crafting\"",Tags:["gm4_update_message"],Duration:2000}
execute if score shroomites gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Shroomites\"",Tags:["gm4_update_message"],Duration:2000}
execute if score speed_paths gm4_modules matches ..1 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Speed Paths\"",Tags:["gm4_update_message"],Duration:2000}
execute if score standard_crafting gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Standard Crafting\"",Tags:["gm4_update_message"],Duration:2000}
execute if score trapped_signs gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Trapped Signs\"",Tags:["gm4_update_message"],Duration:2000}
execute if score undead_players gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Undead Players\"",Tags:["gm4_update_message"],Duration:2000}
execute if score vertical_rails gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Vertical Rails\"",Tags:["gm4_update_message"],Duration:2000}
execute if score weighted_armour gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Weighted Armour\"",Tags:["gm4_update_message"],Duration:2000}
execute if score zauber_cauldrons gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Zauber Cauldrons\"",Tags:["gm4_update_message"],Duration:2000}
execute if score ziprails gm4_modules matches ..0 run summon minecraft:area_effect_cloud ~ ~ ~ {CustomName:"\"Ziprails\"",Tags:["gm4_update_message"],Duration:2000}

